terminalen fornyelse af guide Emnet er løst

Alle tekniske spørgsmål som ikke hører ind under de andre fora.
Brugeravatar
leifjoha
Indlæg: 215
Tilmeldt: 26. okt 2013, 13:37
Geografisk sted: Haderslev

terminalen fornyelse af guide

Indlægaf leifjoha » 25. okt 2019, 13:01

Alle terminal guides er fra omkring 2013. Jeg har netop afprøvet opryd.sh ved 19.10 og fik en stak af fejlmeldinger og forløbet måtte "dræbes", da det så ud til en evighedløkke. Tilsyneladende er der ændret en hel del på tillægsordrene ved de hovedordrene. Jeg har en Dell fyldig oversigt fra 2017 (hente dato men men måske lavet tidligere).
Findes der på engelsk en aktuel standardoversigt over terminalordre dags dato?

Leif

Klaus Rasmussen
Admin
Indlæg: 4984
Tilmeldt: 26. apr 2010, 02:40
IRC nickname: ClaudiuS
Geografisk sted: Nyborg [fyn]

Re: terminalen fornyelse af guide

Indlægaf Klaus Rasmussen » 25. okt 2019, 19:44

Hej Leif

Jeg undrer mig lidt over din post. Har som du kan se herunder kørt opryd.sh på Ubuntu 19.10, blottet for fejlmeldinger med en enkelt undtagelse: Kommandoen sudo updatedb, som blot fortæller at databasen ikke eksisterer.

Kode: Vælg alt

klaus@klaus-HP-ProBook-4520s:~$ sudo dpkg --configure -a && sudo apt-get check -y
[sudo] adgangskode for klaus:
Indlæser pakkelisterne... Færdig
Opbygger afhængighedstræ       
Læser tilstandsoplysninger... Færdig
klaus@klaus-HP-ProBook-4520s:~$ sudo apt-get autoremove -y
Indlæser pakkelisterne... Færdig
Opbygger afhængighedstræ       
Læser tilstandsoplysninger... Færdig
0 opgraderes, 0 nyinstalleres, 0 afinstalleres og 0 opgraderes ikke.
klaus@klaus-HP-ProBook-4520s:~$ sudo apt-get clean -y
klaus@klaus-HP-ProBook-4520s:~$ sudo rm -rf /var/log/*.gz
klaus@klaus-HP-ProBook-4520s:~$ sudo rm -rf $HOME/.local/share/Trash/files
klaus@klaus-HP-ProBook-4520s:~$ sudo rm -rf ~/.evolution/mail/local/folders.db
klaus@klaus-HP-ProBook-4520s:~$ sudo find ~/.thumbnails -type f -exec rm {} \;
find: ‘/home/klaus/.thumbnails’: Ingen sådan fil eller filkatalog
klaus@klaus-HP-ProBook-4520s:~$ sudo updatedb
sudo: updatedb: Kommando ikke fundet
klaus@klaus-HP-ProBook-4520s:~$ sudo apt-get update -y && sudo apt-get upgrade -y
Havde:1 http://dk.archive.ubuntu.com/ubuntu eoan InRelease
Henter:2 http://dk.archive.ubuntu.com/ubuntu eoan-updates InRelease [88,4 kB] 
Havde:3 http://archive.canonical.com/ubuntu eoan InRelease                     
Havde:4 http://ppa.launchpad.net/webupd8team/y-ppa-manager/ubuntu eoan InRelease
Henter:5 http://security.ubuntu.com/ubuntu eoan-security InRelease [88,4 kB]   
Havde:6 http://dk.archive.ubuntu.com/ubuntu eoan-backports InRelease           
Henter:7 https://mega.nz/linux/MEGAsync/xUbuntu_19.10 ./ InRelease [1.319 B]   
Henter:8 http://dk.archive.ubuntu.com/ubuntu eoan-updates/main amd64 DEP-11 Metadata [208 B]
Henter:9 http://security.ubuntu.com/ubuntu eoan-security/main amd64 DEP-11 Metadata [204 B]
Hentede 179 kB på 2s (84,3 kB/s)         
Indlæser pakkelisterne... Færdig
Indlæser pakkelisterne... Færdig
Opbygger afhængighedstræ       
Læser tilstandsoplysninger... Færdig
Beregner opgraderingen... Færdig
0 opgraderes, 0 nyinstalleres, 0 afinstalleres og 0 opgraderes ikke.
klaus@klaus-HP-ProBook-4520s:~$ sudo apt-get purge $(dpkg -l linux-{image,headers}-"[0-9]*" | awk '/ii/{print $2}' | grep -ve $(uname -r | sed -r 's/-[a-z]+//') | sed ':a;N;$!ba;s/\n/ /g')
Indlæser pakkelisterne... Færdig
Opbygger afhængighedstræ       
Læser tilstandsoplysninger... Færdig
De følgende yderligere pakker vil blive installeret:
  linux-image-unsigned-5.3.0-18-generic
Foreslåede pakker:
  fdutils linux-doc-5.3.0 | linux-source-5.3.0 linux-tools
  linux-headers-5.3.0-18-generic
Følgende pakker vil blive AFINSTALLERET:
  linux-headers-5.3.0-18* linux-headers-5.3.0-18-generic*
  linux-image-5.3.0-18-generic* linux-modules-extra-5.3.0-18-generic*
Følgende NYE pakker vil blive installeret:
  linux-image-unsigned-5.3.0-18-generic
0 opgraderes, 1 nyinstalleres, 4 afinstalleres og 0 opgraderes ikke.
8.655 kB skal hentes fra arkiverne.
Efter denne handling, vil 273 MB diskplads blive frigjort.
Vil du fortsætte? [J/n]
Henter:1 http://dk.archive.ubuntu.com/ubuntu eoan/main amd64 linux-image-unsigned-5.3.0-18-generic amd64 5.3.0-18.19 [8.655 kB]
Hentede 8.655 kB på 8s (1.044 kB/s)                                           
(Læser database ... 199450 filer og kataloger installeret i øjeblikket.)
Afinstallerer linux-headers-5.3.0-18-generic (5.3.0-18.19) ...
Afinstallerer linux-headers-5.3.0-18 (5.3.0-18.19) ...
Afinstallerer linux-modules-extra-5.3.0-18-generic (5.3.0-18.19) ...
Afinstallerer linux-image-5.3.0-18-generic (5.3.0-18.19+1) ...
I: /boot/vmlinuz.old is now a symlink to vmlinuz-5.0.0-32-generic
I: /boot/initrd.img.old is now a symlink to initrd.img-5.0.0-32-generic
/etc/kernel/postrm.d/initramfs-tools:
update-initramfs: Deleting /boot/initrd.img-5.3.0-18-generic
/etc/kernel/postrm.d/zz-update-grub:
Sourcing file `/etc/default/grub'
Sourcing file `/etc/default/grub.d/init-select.cfg'
Generating grub configuration file ...
Found linux image: /boot/vmlinuz-5.3.0-19-generic
Found initrd image: /boot/initrd.img-5.3.0-19-generic
Found linux image: /boot/vmlinuz-5.0.0-32-generic
Found initrd image: /boot/initrd.img-5.0.0-32-generic
Found linux image: /boot/vmlinuz-5.0.0-31-generic
Found initrd image: /boot/initrd.img-5.0.0-31-generic
Found memtest86+ image: /boot/memtest86+.elf
Found memtest86+ image: /boot/memtest86+.bin
done
Vælger tidligere fravalgt pakke linux-image-unsigned-5.3.0-18-generic.
(Læser database ... 164314 filer og kataloger installeret i øjeblikket.)
Gør klar til at udpakke .../linux-image-unsigned-5.3.0-18-generic_5.3.0-18.19_amd64.deb ...
Udpakker linux-image-unsigned-5.3.0-18-generic (5.3.0-18.19) ...
Sætter linux-image-unsigned-5.3.0-18-generic (5.3.0-18.19) op ...
I: /boot/vmlinuz.old is now a symlink to vmlinuz-5.3.0-19-generic
I: /boot/initrd.img.old is now a symlink to initrd.img-5.3.0-19-generic
I: /boot/vmlinuz is now a symlink to vmlinuz-5.3.0-18-generic
I: /boot/initrd.img is now a symlink to initrd.img-5.3.0-18-generic
(Læser database ... 164316 filer og kataloger installeret i øjeblikket.)
Renser ud i konfigurationsfilerne for linux-modules-extra-5.3.0-18-generic (5.3.0-18.19)...
Renser ud i konfigurationsfilerne for linux-image-5.3.0-18-generic (5.3.0-18.19+1)...
I: /boot/vmlinuz.old is now a symlink to vmlinuz-5.0.0-32-generic
I: /boot/initrd.img.old is now a symlink to initrd.img-5.0.0-32-generic
I: /boot/vmlinuz is now a symlink to vmlinuz-5.3.0-19-generic
I: /boot/initrd.img is now a symlink to initrd.img-5.3.0-19-generic
/var/lib/dpkg/info/linux-image-5.3.0-18-generic.postrm ... removing pending trigger
rmdir: kunne ikke fjerne '/lib/modules/5.3.0-18-generic': Filkataloget er ikke tomt
Behandler udløsere for linux-image-unsigned-5.3.0-18-generic (5.3.0-18.19) ...
klaus@klaus-HP-ProBook-4520s:~$


Jeg vil foreslå dig at køre scriptet igen og fremlægge terminal outputtet her i code tags, som jeg har gjort ovenfor. Så kan vi gennemgå det sammen. Jeg forestiller mig at du lige har opgraderet til 19.10 fra 19.04?
Med Venlig Hilsen
Klaus

Kører Ubuntu 20.04 på Lenovo-H515s, 64bit og 21.10 på HP Probook 4520s, 64 bit.
Gratis Ubuntumagasin: http://fullcirclemagazine.org/
MEGA Share: https://mega.nz/#F!XNM1ALpL!G_CEVUUE9ZvotKPa4o4PLA

Brugeravatar
leifjoha
Indlæg: 215
Tilmeldt: 26. okt 2013, 13:37
Geografisk sted: Haderslev

Re: terminalen fornyelse af guide

Indlægaf leifjoha » 25. okt 2019, 21:33

Så virker det pludselig her har du forløbet

Kode: Vælg alt

Søgning efter defekte systempakker.




Oprydning af systemet.
W: --force-yes er forældet, brug i stedet for et af tilvalgene startende med --allow
W: --force-yes er forældet, brug i stedet for et af tilvalgene startende med --allow
find: ‘/root/.thumbnails’: Ingen sådan fil eller filkatalog




Opdatering af systempakker.
/usr/local/bin/opryd.sh: 28: updatedb: not found
W: GPG-fejl: https://dl.winehq.org/wine-builds/ubuntu eoan InRelease: Følgende signaturer kunne ikke verificeret, da den offentlige nøgle ikke er tilgængelig: NO_PUBKEY 76F1A20FF987672F
E: Arkivet »https://dl.winehq.org/wine-builds/ubuntu eoan InRelease« er ikke underskrevet.
W: --force-yes er forældet, brug i stedet for et af tilvalgene startende med --allow




Afinstallering af gamle Kernel.
dpkg-query: ingen pakker fundet der matcher linux-{image,headers}-[0-9]*
Indlæser pakkelisterne... Færdig
Opbygger afhængighedstræ       
Læser tilstandsoplysninger... Færdig
0 opgraderes, 0 nyinstalleres, 0 afinstalleres og 0 opgraderes ikke.



Oprydning og opdatering af Ubuntu er færdig.


Jeg har egentlig forsøgt at opgradering fra 18.04 langtidudgaven men det kunne jeg ikke, den bad hele tiden om en opdatering, som 18.04 ikke kunne finde. Så bed jeg i det sure æble og startede 19.10 fra grunden. Der er nogle problemer med printer og manglende CUP men det får komme senere. 19.10 og snap har bragt to af mine gode windows programmer ind uden besvær nemlig Irfanview og Notepad++.

kh
Leif
NB men jeg mangler stadig en god Terminal ordre oversigt 2019 (se der er forældede ordre i opryd.sh)

Klaus Rasmussen
Admin
Indlæg: 4984
Tilmeldt: 26. apr 2010, 02:40
IRC nickname: ClaudiuS
Geografisk sted: Nyborg [fyn]

Re: terminalen fornyelse af guide

Indlægaf Klaus Rasmussen » 25. okt 2019, 22:11

leifjoha skrev:NB men jeg mangler stadig en god Terminal ordre oversigt 2019 (se der er forældede ordre i opryd.sh)

That's a negative, Jeg var lige ved at glemme den del. Men der er mange:
https://ss64.com/bash/
Med Venlig Hilsen
Klaus

Kører Ubuntu 20.04 på Lenovo-H515s, 64bit og 21.10 på HP Probook 4520s, 64 bit.
Gratis Ubuntumagasin: http://fullcirclemagazine.org/
MEGA Share: https://mega.nz/#F!XNM1ALpL!G_CEVUUE9ZvotKPa4o4PLA

Brugeravatar
leifjoha
Indlæg: 215
Tilmeldt: 26. okt 2013, 13:37
Geografisk sted: Haderslev

Re: terminalen fornyelse af guide

Indlægaf leifjoha » 25. okt 2019, 22:35

Tak og lige et spørgsmål igen. Hvordan afsluttes tråden? Der er et andet jeg ikke kan finde!

Klaus Rasmussen
Admin
Indlæg: 4984
Tilmeldt: 26. apr 2010, 02:40
IRC nickname: ClaudiuS
Geografisk sted: Nyborg [fyn]

Re: terminalen fornyelse af guide  Emnet er løst

Indlægaf Klaus Rasmussen » 25. okt 2019, 23:27

leifjoha skrev:Hvordan afsluttes tråden?

Kan man ikke i: Guides. Jeg flytter tråden til Tekniske spørgsmål generelt.
Med Venlig Hilsen
Klaus

Kører Ubuntu 20.04 på Lenovo-H515s, 64bit og 21.10 på HP Probook 4520s, 64 bit.
Gratis Ubuntumagasin: http://fullcirclemagazine.org/
MEGA Share: https://mega.nz/#F!XNM1ALpL!G_CEVUUE9ZvotKPa4o4PLA

Brugeravatar
leifjoha
Indlæg: 215
Tilmeldt: 26. okt 2013, 13:37
Geografisk sted: Haderslev

Re: terminalen fornyelse af guide

Indlægaf leifjoha » 26. okt 2019, 06:47

Tak og så kom "hakket" frem igen

Brugeravatar
Christian.Arvai
Admin
Indlæg: 10703
Tilmeldt: 26. apr 2008, 19:27
IRC nickname: Christian_Arvai
Geografisk sted: Holeby - Lolland

Re: terminalen fornyelse af guide

Indlægaf Christian.Arvai » 28. okt 2019, 18:42

leifjoha skrev:Så virker det pludselig her har du forløbet

Kode: Vælg alt

Søgning efter defekte systempakker.




Oprydning af systemet.
W: --force-yes er forældet, brug i stedet for et af tilvalgene startende med --allow
W: --force-yes er forældet, brug i stedet for et af tilvalgene startende med --allow
find: ‘/root/.thumbnails’: Ingen sådan fil eller filkatalog




Opdatering af systempakker.
/usr/local/bin/opryd.sh: 28: updatedb: not found
W: GPG-fejl: https://dl.winehq.org/wine-builds/ubuntu eoan InRelease: Følgende signaturer kunne ikke verificeret, da den offentlige nøgle ikke er tilgængelig: NO_PUBKEY 76F1A20FF987672F
E: Arkivet »https://dl.winehq.org/wine-builds/ubuntu eoan InRelease« er ikke underskrevet.
W: --force-yes er forældet, brug i stedet for et af tilvalgene startende med --allow




Afinstallering af gamle Kernel.
dpkg-query: ingen pakker fundet der matcher linux-{image,headers}-[0-9]*
Indlæser pakkelisterne... Færdig
Opbygger afhængighedstræ       
Læser tilstandsoplysninger... Færdig
0 opgraderes, 0 nyinstalleres, 0 afinstalleres og 0 opgraderes ikke.



Oprydning og opdatering af Ubuntu er færdig.


NB men jeg mangler stadig en god Terminal ordre oversigt 2019 (se der er forældede ordre i opryd.sh)


Hej leifjoha

Kan du paste hele koden i det script du kører?

Jeg kan se præcist hvor problemet, som returnerer :

Kode: Vælg alt

W: --force-yes er forældet, brug i stedet for et af tilvalgene startende med --allow

er, nemlig ved "Opdatering af systempakker".

I guiden på https://ubuntudanmark.dk/blog/artikler/ ... af-ubuntu/ er den del af koden dd.

Kode: Vælg alt

echo "Opdatering af systempakker."
updatedb
apt-get update -y
apt-get upgrade -y
echo ""
echo ""

altså med "-y" og ikke "--force-yes ".

Spørgsmålet er så om den udgave du dd. har, er en af de ældre som har været i forum i tidens løb.

Du kan finde scriptet med denne kommando:

Kode: Vælg alt

gedit /usr/local/bin/opryd.sh
Med venlig hilsen Christian

"We can only see a short distance ahead, but we can see plenty there that needs to be done." -- Alan Turing

Tilbage til "Tekniske spørgsmål generelt"

Hvem er online

Brugere der læser dette forum: [Crawler] og 0 gæster